Bug 235271 - net/xrdp not gives an useful example for FreeBSD
Summary: net/xrdp not gives an useful example for FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-28 05:07 UTC by ykla
Modified: 2019-03-13 09:15 UTC (History)
1 user (show)

See Also:
meta: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ykla 2019-01-28 05:07:57 UTC
X11rdp had merged to xordxrdp. And /etc/xrdp/startwm.sh this example is hard to adjust.

--------------------------------------------------------
In old version if you want to using mate desktop, you should add:
SESSIONS-"mate-session" in startwm.sh. 

But now it it not works.

Now you have to empty file startwm.sh and add:
#!/bin/sh
exec mate-session

--------------------------------------------------------
So why not give a better example for this file ?
Comment 1 Koichiro Iwao freebsd_committer 2019-01-28 09:59:52 UTC
Do not overestiamte the importance.
Comment 2 Koichiro Iwao freebsd_committer 2019-01-30 08:20:44 UTC
Indeed startwm.sh can be improved. I'm thinking of giving more example.

BTW, unfriendly startwm.sh issue is not related to x11rdp deprecation and migration to xorgxrdp at all.
Comment 3 commit-hook freebsd_committer 2019-03-13 09:14:07 UTC
A commit references this bug:

Author: meta
Date: Wed Mar 13 09:13:56 UTC 2019
New revision: 495571
URL: https://svnweb.freebsd.org/changeset/ports/495571

Log:
  net/xrdp: install better example of startwm.sh

  PR:		235271
  Reported by:	ykla <yklaxds@gmail.com>
  Sponsored by:	HAW International, Inc.

Changes:
  head/net/xrdp/Makefile
  head/net/xrdp/files/startwm.sh
Comment 4 Koichiro Iwao freebsd_committer 2019-03-13 09:15:15 UTC
Created a better sample file. Thanks!